Subject: Re: Parenting Bones to Objects and IK
From: Ace Miles <[email-masked]>
To: [email-masked]
Date: Sun, 7 Jan 1996 11:28:30 -0800

At 12:42 PM 1/7/96 -0500, you wrote:
>I have been experimenting with IK in LW 4.0C/Intel. My objective was to make a 
>creature (OK - an abstract dinosaur kind of guy...) using IK for the arms,
legs, 
>and head, and then let the body bend based on the motion of the head. That is, 
>as I would pull the goal object for the head, the head would rotate to follow, 
>and then the body would bend to follow the head.
>
>So, I set up a head goal object (a null), a head null (for the end of the IK 
>chain) and the head object. The head object is parented to the body, which is 
>set to be unaffected by IK of descendants (or else there would be all sorts of 
>crazy rotations of the body - although I did try to uncheck that box, and
limit 
>the IK of the body to just full heading rotations to "follow" the head, but
that 
>leads to other problems...). 

Don't think you'll have much luck doing it this way. Try it the way the guys
at Will Vinton Studios did the M&Ms. They wrote a pretty nice article in the
VTU of all places (shouldn't it have been in LW Pro? It was extremely
advanced compared to a lot of articles in LWPro recently).

-Ace

     -------------------------------------------------------------     
	Ace Miles * Senior Animator * Time Warner Interactive
	
	   [email-masked] (work)  or   [email-masked] (home)